Skip to main content

Tap Initiated Sale for Debt Recovery


This section provides the information needed to process a tap-initiated sale for debt recovery.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "orderInformation": {    "billTo": {      "address1": "R. Augusta Æ",      "address2": "ßloco 01",      "buildingNumber": "1024 Metrño4",      "locality": "Sáo Paulo",      "country": "BR",      "district": "Bela Vista Æ",      "administrativeArea": "SP",      "postalCode": "01310-000",      "email": "[email protected]",      "firstName": "Júlia",      "lastName": "Fernández",      "phoneNumber": "999-999-9999"    },    "amountDetails": {      "totalAmount": "10.00",      "currency": "BRL"    }  },  "paymentInformation": {    "card": {      "type": "002",      "expirationMonth": "12",      "expirationYear": "2026",      "number": "5xxxxxxxxxxx4444"    },    "initiationChannel": "00"  },  "pointOfSaleInformation": {    "cardPresent": "Y",    "entryMode": "contactless",    "terminalId": "12345678",    "terminalCapability": "5",    "terminalPinCapability": "0",    "trackData": "%B5xxxxxxxxxxx4444^JONES/JONES ^3112101976110000868000000",    "emv": {      "cardSequenceNumber": "01",      "tags": "5F3401019F3303E0F8C8950580800480009F370465B81A3A9F1007"    },    "serviceCode": "201",    "catLevel": "2"  },  "processingInformation": {    "capture": true,    "commerceIndicator": "retail",    "industryDataType": "transit",    "captureOptions": {      "dateToCapture": "0425"    },    "authorizationOptions": {      "authIndicator": "1",      "debtRecoveryIndicator": "true",      "transportationMode": "00"    }  },  "clientReferenceInformation": {    "code": "10000685MC",    "transactionId": "20000685MC",    "partner": {      "thirdPartyCertificationNumber": "BPCDRC220403",      "solutionId": "548UHQ8Z"    }  }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/payments/7696015712597001827451/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/7696015712597001827451"        }    },    "clientReferenceInformation": {        "code": "10000685MC",        "partner": {            "solutionId": "548UHQ8Z"        },        "transactionId": "20000685MC"    },    "id": "7696015712597001827451",    "orderInformation": {        "amountDetails": {            "totalAmount": "10.00",            "authorizedAmount": "10.00",            "currency": "BRL"        }    },    "paymentAccountInformation": {        "card": {            "type": "002"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "002"        },        "card": {            "type": "002"        }    },    "pointOfSaleInformation": {        "terminalId": "11111111",        "emv": {            "tags": "9F03060000000000009F0206000000960100820220009F3901078407A00000000310109F370487A1C9E29F360202299F34031F00009F3303E0B0C85F2A0201889F6E04207000009F270180950500000000009F260891BF08455A7DC8B35F3401019A032008079C01009F1B060000003000009F1A0201889F100706020A03A02800"        }    },    "processorInformation": {        "approvalCode": "800000",        "networkTransactionId": "345678901876",        "transactionId": "345678901876",        "responseCode": "00",        "avs": {            "code": "2"        }    },    "reconciliationId": "7696015712597001827451",    "status": "AUTHORIZED",    "submitTimeUtc": "2026-01-28T11:59:33Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.partner.solutionId
clientReferenceInformation.partner.thirdPartyCertificationNumber
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
orderInformation.billTo.address1
orderInformation.billTo.address2
orderInformation.billTo.administrativeArea
orderInformation.billTo.buildingNumber
orderInformation.billTo.country
orderInformation.billTo.district
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.phoneNumber
orderInformation.billTo.postalCode
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number
paymentInformation.card.type
paymentInformation.initiationChannel
pointOfSaleInformation.cardPresent
pointOfSaleInformation.catLevel
pointOfSaleInformation.emv.cardSequenceNumber
pointOfSaleInformation.emv.tags
pointOfSaleInformation.entryMode
pointOfSaleInformation.serviceCode
pointOfSaleInformation.terminalCapability
pointOfSaleInformation.terminalId
pointOfSaleInformation.terminalPinCapability
pointOfSaleInformation.trackData
processingInformation.authorizationOptions.authIndicator
processingInformation.authorizationOptions.debtRecoveryIndicator
processingInformation.authorizationOptions.transportationMode
processingInformation.capture
processingInformation.captureOptions.dateToCapture
processingInformation.commerceIndicator
processingInformation.industryDataType

Last published: September 29, 2026